---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.karaf-camel-amq/summary: "Camel route using ActiveMQ in Karaf container"
    description: "Camel route using ActiveMQ in Karaf container"
    fabric8.karaf-camel-amq/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "karaf-camel-amq"
objects:
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.145"
      fabric8.io/git-commit: "fae6436e2e85aa19ddbefa6b52f6057e7964e36c"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/9"
      fabric8.io/build-id: "9"
    labels:
      provider: "fabric8"
      project: "karaf-camel-amq"
      version: "2.2.145"
      group: "quickstarts"
    name: "karaf-camel-amq"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "karaf-camel-amq"
      version: "2.2.145"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "karaf-camel-amq"
          version: "2.2.145"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "ACTIVEMQ_SERVICE_NAME"
            value: "activemq"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/karaf-camel-amq:2.2.145"
          name: "karaf-camel-amq"
          ports:
          - containerPort: 8181
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
